Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Interface ServiceFactory

All Known Implementing Classes:
  AnnotationServiceFactory, DefaultServiceFactory, JaxbServiceFactory, ObjectServiceFactory, PicoObjectServiceFactory, XmlBeansServiceFactory

    public interface ServiceFactory

Author:
  Dan Diephouse

Method Summary
`Service` | `create(java.lang.Class clazz)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.util.Map properties)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.lang.String name, java.lang.String namespace, java.util.Map properties)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.net.URL wsdlUrl)` Create a service from a WSDL file.

Method Detail

### create

    Service create(java.lang.Class clazz)

  Create a service from the specified class.

  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
  Returns:
    The service.

### create

    Service create(java.lang.Class clazz,
                   java.util.Map properties)

  Create a service from the specified class.

  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
    `properties` - Properties to set on the service and use in construction.
  Returns:
    The service.

### create

    Service create(java.lang.Class clazz,
                   java.lang.String name,
                   java.lang.String namespace,
                   java.util.Map properties)

  Create a service from the specified class.

  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
    `name` - The name of the service.
    `namespace` - The default namespace of the service.
    `properties` - Service specific properties which the ServiceFactory will use to create the service.
  Returns:
    The service.

### create

    Service create(java.lang.Class clazz,
                   java.net.URL wsdlUrl)
                   throws java.lang.Exception

  Create a service from a WSDL file. NOTE: This probably doesn't work yet.

  Parameters:
    `clazz` - The service class for the wsdl.
    `wsdlUrl` - The WSDL URL.
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.